Bug 1294425 (CVE-2015-8668) - CVE-2015-8668 libtiff: OOB read in bmp2tiff
Summary: CVE-2015-8668 libtiff: OOB read in bmp2tiff
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-8668
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1299918 1299919 1299920 1299921 1335098 1335099
Blocks: 1294418
TreeView+ depends on / blocked
 
Reported: 2015-12-28 07:51 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-13 09:25:36 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1546 normal SHIPPED_LIVE Important: libtiff security update 2016-08-02 20:59:03 UTC
Red Hat Product Errata RHSA-2016:1547 normal SHIPPED_LIVE Important: libtiff security update 2016-08-02 20:39:45 UTC

Description Huzaifa S. Sidhpurwala 2015-12-28 07:51:28 UTC
A heap-buffer oveflow was found in bmp2tiff, A tool used to created TIFF format files from BMP format image files. An attacker could provide a specially-crafted BMP format file, which when converted to TIFF format, using the bmp2tiff tool, could lead to bmp2tiff executable to crash.

Reference:

http://seclists.org/bugtraq/2015/Dec/138

Comment 1 Stefan Cornelius 2016-01-05 15:19:32 UTC
I haven't completed my analysis yet, but for now I tend to say that this is only OOB read.

Comment 11 errata-xmlrpc 2016-08-02 16:41:02 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1547 https://rhn.redhat.com/errata/RHSA-2016-1547.html

Comment 12 errata-xmlrpc 2016-08-02 17:00:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1546 https://rhn.redhat.com/errata/RHSA-2016-1546.html

Comment 13 Even Rouault 2016-08-04 09:26:45 UTC
I think the patch is incomplete. See http://bugzilla.maptools.org/show_bug.cgi?id=2563#c2


Note You need to log in before you can comment on or make changes to this bug.